commit: d38b4629fa719079ed08b93cab0ad75aed1cf9f1
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 9 08:55:39 2015 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Aug 9 08:55:39 2015 +0000
URL: https://gitweb.gentoo.org/proj/python.git/commit/?id=d38b4629
dev-lang/python:3.2: some more cleanup
dev-lang/python/python-3.2.6.ebuild | 10 +++-------
1 file changed, 3 insertions(+), 7 deletions(-)
diff --git a/dev-lang/python/python-3.2.6.ebuild
b/dev-lang/python/python-3.2.6.ebuild
index cf91e29..456ac47 100644
--- a/dev-lang/python/python-3.2.6.ebuild
+++ b/dev-lang/python/python-3.2.6.ebuild
@@ -9,7 +9,6 @@ WANT_LIBTOOL="none"
inherit autotools eutils flag-o-matic multilib pax-utils python-utils-r1
toolchain-funcs multiprocessing
MY_P="Python-${PV}"
-PATCHSET_REVISION="1"
DESCRIPTION="An interpreted, interactive, object-oriented programming language"
HOMEPAGE="http://www.python.org/"
@@ -65,7 +64,7 @@ src_prepare() {
fi
EPATCH_EXCLUDE="${excluded_patches}" EPATCH_SUFFIX="patch" \
- epatch "${FILESDIR}/3.2"
+ epatch "${FILESDIR}/${SLOT}"
sed -i -e "s:@@GENTOO_LIBDIR@@:$(get_libdir):g" \
Lib/distutils/command/install.py \
@@ -135,7 +134,7 @@ src_configure() {
if tc-is-cross-compiler; then
(
- multijob_child_init
+ multijob_child_init
cd "${WORKDIR}"/${CBUILD} >/dev/null || die
OPT="-O1" CFLAGS="" CPPFLAGS="" LDFLAGS="" CC="" \
"${S}"/configure \
@@ -165,7 +164,7 @@ src_configure() {
dbmliborder+="${dbmliborder:+:}gdbm"
fi
- cd "${WORKDIR}"/${CHOST}
+ cd "${WORKDIR}"/${CHOST} || die
ECONF_SOURCE=${S} OPT="" \
econf \
--with-fpectl \
@@ -281,9 +280,6 @@ src_install() {
-e "s/\(PY_LDFLAGS=\).*/\1/" \
-i "${libdir}/config-${SLOT}/Makefile" || die "sed failed"
- # Backwards compat with Gentoo divergence.
- dosym python${SLOT}-config /usr/bin/python-config-${SLOT}
-
# Fix collisions between different slots of Python.
rm "${ED}usr/$(get_libdir)/libpython3.so" || die